]> arthur.barton.de Git - backup-script.git/blobdiff - bin/backup-script-wrapper
backup-status: Ignore disabled jobs when listing jobs with errors
[backup-script.git] / bin / backup-script-wrapper
index 7da3208657c056b51f6abf27bf7670e6e952d55a..3ce16a969dc27d73b225cdc2242f419ba5b882fa 100755 (executable)
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
 #
 # backup-script system for cloning systems using rsync
-# Copyright (c)2008-2015 Alexander Barton, alex@barton.de
+# Copyright (c)2008-2016 Alexander Barton, alex@barton.de
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,9 +21,12 @@ if [ -z "$MAILTO" ]; then
 fi
 
 NAME="backup-script"
-HOST=`hostname`
-TMP=`mktemp /tmp/$NAME.XXXXXXXX` || exit 11
-LOGFILE="/var/log/backup-script.log"
+
+DELIMITER="- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -"
+HOST=$(hostname -f)
+LOGFILE="/var/log/$NAME.log"
+SUBJECT="$NAME results"
+TMP=$(mktemp /tmp/$NAME.XXXXXXXX) || exit 1
 
 PATH="$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
 export PATH
@@ -32,19 +35,34 @@ exec >"$TMP" 2>&1
 
 echo "$NAME Report"
 echo
-echo " - Host: `hostname -f`"
-echo " - User: `id -un`"
+echo " - Host: $(hostname -f)"
+echo " - User: $(id -un)"
+echo
+echo "Command:"
+echo "$0" "$@"
 echo
 
-if [ -w "$LOGFILE" ]; then
+if echo "$DELIMITER" >>"$LOGFILE" 2>/dev/null; then
+       echo >>"$LOGFILE"
        "$(dirname "$0")/backup-script" "$@" | tee -a "$LOGFILE"
+       r=${PIPESTATUS[0]}
 else
        "$(dirname "$0")/backup-script" "$@"
+       r=$?
        echo "(Can't write logfile: \"$LOGFILE\"!)"
 fi
 
-cat "$TMP" | mail -s "$HOST: $NAME results" "$MAILTO"
+case "$r" in
+       0)
+               SUBJECT="$SUBJECT - success"
+               ;;
+       *)
+               SUBJECT="$SUBJECT - with ERRORS!"
+esac
+
+mail -s "$HOST: $SUBJECT" "$MAILTO" <"$TMP"
 
 rm -f "$TMP"
+exit $r
 
 # -eof-